import { _decorator, Button } from 'cc';
import { BaseUI } from '../../../A-FRAME/component/ui.base';
import { AudioManager } from '../../../AudioManager';
import { Url } from '../../../Url';
import { Popup } from './popup';
const { ccclass, property } = _decorator;

@ccclass('PageHome')
export class PageHome extends BaseUI {

    protected initAfterOnLoad(): void {

    }

    protected start() {

    }

    private a: string;

    protected _click_event_: { [name: string]: (this: PageHome, button: Button) => void; } = {

        async SettingButton(btn) {
            if (Popup.lock) {
                return void 0;
            }
            Popup.lock = true;
            AudioManager.ins.playOneShot(Url.AUDIO.SFX4, 1);

            await Popup.Settingpage({});

            Popup.lock = false;
        },

    }


}

